Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.engine.content
Interface ITableBandContent

All Superinterfaces:
  IBandContent, IContainerContent, IContent, IElement

    public interface ITableBandContent

extends IBandContent

Provides the interfaces for the Table Band Content

Field Summary

Fields inherited from interface org.eclipse.birt.report.engine.content.IBandContent
`BAND_DETAIL, BAND_FOOTER, BAND_GROUP_FOOTER, BAND_GROUP_HEADER, BAND_HEADER`

Fields inherited from interface org.eclipse.birt.report.engine.content.IContent
`AUTOTEXT_CONTENT, CELL_CONTENT, CONTAINER_CONTENT, DATA_CONTENT, DOCUMENT_EXTENSION, FOREIGN_CONTENT, GROUP_CONTENT, IMAGE_CONTENT, LABEL_CONTENT, LAYOUT_EXTENSION, LIST_BAND_CONTENT, LIST_CONTENT, LIST_GROUP_CONTENT, PAGE_CONTENT, ROW_CONTENT, SERIALIZE_CONTENT, TABLE_BAND_CONTENT, TABLE_CONTENT, TABLE_GROUP_CONTENT, TEXT_CONTENT`

Method Summary

Methods inherited from interface org.eclipse.birt.report.engine.content.IBandContent
`getBandType, getGroupID, setBandType`

Methods inherited from interface org.eclipse.birt.report.engine.content.IContent
`accept, cloneContent, getACL, getBookmark, getContentType, getExtension, getGenerateBy, getHeight, getHelpText, getHyperlinkAction, getInlineStyle, getInstanceID, getName, getReportContent, getStyleClass, getTOC, getWidth, getX, getY, isDirectionRTL, isRTL, readContent, setACL, setBookmark, setExtension, setGenerateBy, setHeight, setHelpText, setHyperlinkAction, setInlineStyle, setInstanceID, setName, setReportContent, setStyleClass, setTOC, setWidth, setX, setY, writeContent`

Methods inherited from interface org.eclipse.birt.report.engine.content.IElement
`getChildren, getParent, setParent`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.